std::filesystem::__directory_iterator_proxy Struct Reference
File System

`#include <fs_dir.h>`

## Public Member Functions

directory_entry | operator* () &&noexcept
const directory_entry & | operator* () const &noexcept

## Friends

class | directory_iterator
class | recursive_directory_iterator

## Detailed Description

Proxy returned by post-increment on directory iterators.

Definition at line 357 of file bits/fs_dir.h.

## Member Function Documentation

## operator*() [1/2]

directory_entry std::filesystem::__directory_iterator_proxy::operator* | ( |  | ) | &&

inline noexcept

Definition at line 361 of file bits/fs_dir.h.

## operator*() [2/2]

const directory_entry & std::filesystem::__directory_iterator_proxy::operator* | ( |  | ) | const &

inline noexcept

Definition at line 359 of file bits/fs_dir.h.

## Friends And Related Symbol Documentation

## directory_iterator

friend class directory_iterator

friend

Definition at line 364 of file bits/fs_dir.h.

## recursive_directory_iterator

friend class recursive_directory_iterator

friend

Definition at line 365 of file bits/fs_dir.h.

The documentation for this struct was generated from the following file:

- bits/fs_dir.h